
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PGL_MIME_SYMBOL_H
#define PGL_MIME_SYMBOL_H

#include "xstd/Array.h"
#include "pgl/PglRecSym.h"

// parameters for object life cycle model
class MimeSym: public RecSym {
	public:
		MimeSym();
		MimeSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;

		String mimeType() const;
		bool extensions(Array<String*> &exts, RndDistr *&sel) const;
		bool prefixes(Array<String*> &pxs, RndDistr *&sel) const;

	protected:
		virtual SynSym *dupe(const String &dType) const;
};

#endif
