
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_ASYNC_CLIENT_CLASS_H
#define PG_ASYNC_CLIENT_CLASS_H

#include "client/Client.h"

class AsyncClt: public Client {
	public:
		AsyncClt(RndDistr *aThinkDistr);
		virtual void configure(const RobotSym *cfg, const NetAddr &aHost);
		virtual void wakeUp(const Alarm &);

		virtual void scheduleLaunch(Time lastLaunch);
		virtual void launchFailed(CltXact *x);
};

#endif
