
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_CLIENT_APPLICATION_H
#define PG_CLIENT_APPLICATION_H

#include "app/PolyApp.h"

class WssFreezer;

class PolyClt: public PolyApp {
	public:
		PolyClt();

	protected:
		virtual void configure();
		virtual void reportCfg();
		
		virtual void startServices();
		virtual void getOpts(Array<OptGrp*> &opts);
		virtual void makeAgent(const AgentCfg &cfg);
		virtual void logState(OLog &log);

		virtual const String sideName() const;
		virtual int logCat() const;

	protected:
		WssFreezer *TheWssFreezer;
};

#endif
