
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_PROBE_SERVER_XACTION_H
#define PG_PROBE_SERVER_XACTION_H

#include "probe/ProbeXact.h"

class ProbeSrv;

class ProbeSrvXact: public ProbeXact {
	public:
		ProbeSrvXact(const NetAddr &aCltHost, const NetAddr &aSrvHost, const int fd);

		void exec(ProbeSrv *anOwner);
		virtual ProbeAgent *owner();
		virtual const ProbeAgent *owner() const;

	protected:
		ProbeSrv *theOwner;
};

#endif
