
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_VISIBLE_SERVER_H
#define PG_VISIBLE_SERVER_H

#include "xstd/Array.h"

class NetAddr;


class Viserv {
	public:
		Viserv(int aName = -1);

	public:
		int theName; // index into AddrMap
		/* more to come? */
};

// a convenience wrapper to perform searching and other operations
class Viservs: protected Array<Viserv> {
	public:
		const NetAddr &nameAt(int viserv) const;
		int nameIdxAt(int viserv) const;

		bool find(int nameIdx, int &idx) const;

		void add(int name);
};

extern Viservs TheViservs;

#endif
