
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "xstd/xstd.h"

#include "xstd/h/iostream.h"
#include "xstd/h/iomanip.h"

#include "xstd/Size.h"


ostream &Size::print(ostream &os) const {

	const int osprec = os.precision();
	os.precision(3);

	if (theSize < 1024)
		os << theSize;
	else
	if (theSize < 1024*1024)
		os << theSize/1024. << "KB";
	else
	if (theSize < 1024*1024*1024)
		os << theSize/(1024*1024.) << "MB";
	else
		os << theSize/(1024*1024*1024.) << "GB";

	os.precision(osprec);

	return os;
}
