
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef XSTD_STRING_META_H
#define XSTD_STRING_META_H

#ifdef HAVE_STRING_H
#include <string.h>
#endif

#ifdef HAVE_STRINGS_H
#include <strings.h>
#endif

#if !defined(HAVE_STRCASECMP) && defined(HAVE_STRICMP)
	inline
	int strcasecmp(const char *s1, const char *s2) {
		return stricmp(s1, s2);
	}
#endif

#if !defined(HAVE_STRNCASECMP) && defined(HAVE_STRNICMP)
	inline
	int strncasecmp(const char *s1, const char *s2, size_t sz) {
		return strnicmp(s1, s2, sz);
	}
#endif

#endif
